function tsg_initialisation(hTsgGUI, hQcCmenu)
%
% Input
% -----
% hTsgGUI ............ Handel to the main user interface
% hQcCmenu ........... Handel to the QC code context menu 
% Output
% ------
% $Id$

% Quality Code and color

qc.Color.NO_CONTROL    = 'k';
qc.Color.GOOD          = 'b';
qc.Color.PROBABLY_GOOD = 'g';
qc.Color.PROBABLY_BAD  = 'm';
qc.Color.BAD           = 'r';

qc.Code.NO_CONTROL     = 1;
qc.Code.GOOD           = 2;
qc.Code.PROBABLY_GOOD  = 3;
qc.Code.PROBABLY_BAD   = 4;
qc.Code.BAD            = 5;

quality.Code  = qc.Code.GOOD;
quality.Color = qc.Color.GOOD;
set( hQcCmenu, 'UserData', quality );

% Set named application data
% -------------------------------
setappdata( hTsgGUI, 'qcColor', qc);

end
